Recommended procedure for upgrading from 3.x LTS to 4.x

Mehr
2 Monate 4 Tage her #193570 von segui
Hello!

What is the recommended way to upgrade an existing Limesurvey installation running version 3.x LTS to the most recent 4.x?

I tried this:

- Downloaded and uncompressed v4.1.1
- Transferred the content of the upload directory from my 3.22.1installation to the 4.1.1 upload folder
- Made a copy of the 3.22.1 mysql database
- Started the web installation process for the new 4.1.1, and specified the existing database (copy) as the one to use.

This is the relevant part of the summary shown right before the db upgrade step:

Database type: mysql
Table prefix: lime_
Current database version: 359
Target database version: 425


However, I got this error during the database upgrade:

"An non-recoverable error happened during the update. Error details:
CDbCommand failed to execute the SQL statement: SQLSTATE[23000]: Integrity constraint violation: 1062 Duplicate entry '462-en' for key 'lime_idx1_label_l10ns'
File update_helper.php, line 31.

Please fix this error in your database and try again"


Should I be using a different method to upgrade?

More info about my setup:

- PHP 7.2.10
- DB engine: MySQL 5.5.64-MariaDB
- OS: RHEL Server 7.7

Thank you!!!

Ginet

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

LimeSurvey Partners
Mehr
2 Monate 3 Tage her #193573 von jelo
Looks more like a bug in the upgradescript for the database.
Please report this bug. You might had some faulty data structures inside the database.

Looking for the "Duplicate entry '462-en' for key 'lime_idx1_label_l10ns'" might be helpful.

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Mehr
2 Monate 3 Tage her #193575 von segui
Thank you jelo! I'll file the bug report then.

Ginet

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Mehr
2 Monate 3 Tage her #193577 von segui
Folgende Benutzer bedankten sich: DenisChenu

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Mehr
1 Monat 2 Wochen her #194522 von rustam82
I get the same error for upgrading from 3.22 to 4.1.6

bug reported bugs.limesurvey.org/view.php?id=15912
Folgende Benutzer bedankten sich: DenisChenu

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Jetzt loslegen!

Melden Sie sich jetzt an, und erstellen Sie in wenigen Minuten Ihre erste Umfrage.

Account einrichten

Abonnieren Sie unseren Newsletter

Abonnieren Sie unseren Newsletter für alle Neuigkeiten rund um LimeSurvey
captcha